org.apache.calcite.avatica

## Enum InternalProperty

- java.lang.Object
- - java.lang.Enum<InternalProperty>
  - - org.apache.calcite.avatica.InternalProperty

All Implemented Interfaces:
  Serializable, Comparable<InternalProperty>

    public enum InternalProperty
    extends Enum<InternalProperty>

Definitions of properties that drive the behavior of `AvaticaDatabaseMetaData`.

### Nested Class Summary

Nested Classes
`(package private) static class` `InternalProperty.NullSorting` Where nulls appear in a sorted relation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CASE_SENSITIVE` Whether identifiers are matched case-sensitively.
`NULL_SORTING` How identifiers are stored if they are not quoted.
`QUOTED_CASING` How identifiers are stored if they are quoted.
`QUOTING` How identifiers are quoted.
`SQL_KEYWORDS` Character that quotes identifiers.
`UNQUOTED_CASING` How identifiers are stored if they are not quoted.

### Field Summary

Fields
`private Object` `defaultValue`
`private Class` `enumClass`
`private ConnectionProperty.Type` `type`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`private <T> T` `get_(Map<InternalProperty,Object> map, T defaultValue)`
`boolean` `getBoolean(Map<InternalProperty,Object> map)` Returns the boolean value of this property.
`<E extends Enum> E` `getEnum(Map<InternalProperty,Object> map, Class<E> enumClass)` Returns the enum value of this property.
`String` `getString(Map<InternalProperty,Object> map)` Returns the string value of this property, or null if not specified and no default.
`static InternalProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InternalProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CASE_SENSITIVE

    public static final InternalProperty CASE_SENSITIVE

Whether identifiers are matched case-sensitively.

#### SQL_KEYWORDS

    public static final InternalProperty SQL_KEYWORDS

Character that quotes identifiers.

#### QUOTING

    public static final InternalProperty QUOTING

How identifiers are quoted.

#### QUOTED_CASING

    public static final InternalProperty QUOTED_CASING

How identifiers are stored if they are quoted.

#### UNQUOTED_CASING

    public static final InternalProperty UNQUOTED_CASING

How identifiers are stored if they are not quoted.

#### NULL_SORTING

    public static final InternalProperty NULL_SORTING

How identifiers are stored if they are not quoted.

### Field Detail

#### type

    private final ConnectionProperty.Type type

#### enumClass

    private final Class enumClass

#### defaultValue

    private final Object defaultValue

### Method Detail

#### values

    public static InternalProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InternalProperty c : InternalProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InternalProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get_

    private <T> T get_(Map<InternalProperty,Object> map,
                       T defaultValue)

#### getString

    public String getString(Map<InternalProperty,Object> map)

Returns the string value of this property, or null if not specified and no default.

#### getBoolean

    public boolean getBoolean(Map<InternalProperty,Object> map)

Returns the boolean value of this property. Throws if not set and no default.

#### getEnum

    public <E extends Enum> E getEnum(Map<InternalProperty,Object> map,
                                      Class<E> enumClass)

Returns the enum value of this property. Throws if not set and no default.